unit UOption;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, Buttons, Spin, ComCtrls;

type
  TFOption = class(TForm)
    EOpzioni: TPageControl;
    TabSheet3: TTabSheet;
    Label7: TLabel;
    EInsRec: TCheckBox;
    EModRec: TCheckBox;
    EDelRec: TCheckBox;
    ERecPag: TSpinEdit;
    TabSheet4: TTabSheet;
    EGestErr: TCheckBox;
    TabSheet5: TTabSheet;
    Label6: TLabel;
    EStyleSheet: TEdit;
    ECenter: TCheckBox;
    TabSheet6: TTabSheet;
    SpeedButton1: TSpeedButton;
    ESSI1: TLabeledEdit;
    ESSI2: TLabeledEdit;
    ESSI3: TLabeledEdit;
    ESSI4: TLabeledEdit;
    Panel1: TPanel;
    Button1: TButton;
    Button2: TButton;
    TabSheet1: TTabSheet;
    EWebSrvPath: TEdit;
    Label4: TLabel;
    ESearch: TCheckBox;
    Label9: TLabel;
    ENewIcon: TEdit;
    EEditIcon: TEdit;
    Label10: TLabel;
    EDelIcon: TEdit;
    Label11: TLabel;
    TabSheet2: TTabSheet;
    Label13: TLabel;
    ENavPos: TComboBox;
    Label14: TLabel;
    ENewPos: TComboBox;
    EDisplayTitle: TCheckBox;
    EDisplayHR: TCheckBox;
    Label15: TLabel;
    EHTMLFooter: TMemo;
    EProgress: TCheckBox;
    OpenDialog1: TOpenDialog;
    SpeedButton2: TSpeedButton;
    TabSheet7: TTabSheet;
    EPairColor: TEdit;
    Label16: TLabel;
    Button3: TButton;
    PairRow: TPanel;
    EBordo: TCheckBox;
    Label1: TLabel;
    ECellspacing: TSpinEdit;
    Label2: TLabel;
    Label3: TLabel;
    ECellpadding: TSpinEdit;
    Label8: TLabel;
    Label5: TLabel;
    ETabDim: TSpinEdit;
    Label12: TLabel;
    Label18: TLabel;
    EOddColor: TEdit;
    OddRow: TPanel;
    Label19: TLabel;
    ETitleColor: TEdit;
    TitleRow: TPanel;
    EColorLib: TComboBox;
    Label17: TLabel;
    Label20: TLabel;
    ESortIcon: TEdit;
    Label21: TLabel;
    ENextIcon: TEdit;
    Label22: TLabel;
    EPriorIcon: TEdit;
    Label23: TLabel;
    ESortDesc: TEdit;
    procedure SpeedButton1Click(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure EColorLibChange(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FOption: TFOption;

implementation

uses UAdoVbs;

{$R *.dfm}

procedure TFOption.SpeedButton1Click(Sender: TObject);
begin
  FAdoVbs.showmodal;
end;

procedure TFOption.FormActivate(Sender: TObject);
begin
  eopzioni.ActivePageIndex:=0;
end;

procedure TFOption.SpeedButton2Click(Sender: TObject);
begin
  if opendialog1.Execute then
    EWebSrvPath.Text:=OpenDialog1.FileName
end;

procedure TFOption.Button3Click(Sender: TObject);
begin
  titlerow.Color:=strtointdef('$00'+copy(ETitleColor.text,5,2)+copy(ETitleColor.Text,3,2)+copy(ETitleColor.Text,1,2),256);
  OddRow.Color:=strtointdef('$00'+copy(EOddColor.text,5,2)+copy(EOddColor.Text,3,2)+copy(EOddColor.Text,1,2),256);
  PairRow.Color:=strtointdef('$00'+copy(EPairColor.text,5,2)+copy(EPairColor.Text,3,2)+copy(EPairColor.Text,1,2),256);
end;

procedure TFOption.EColorLibChange(Sender: TObject);
begin
  if EColorLib.Text='Intra' then
  begin
    ETitleColor.Text:='6699CC';
    EPairColor.Text:='DBE5F1';
    EOddColor.text:='C2D2E4';
  end;
end;

end.
